## khelpcenter 5.5.5

=== CMakeLists.txt ===
project(KHelpCenter)
set(PROJECT_VERSION "5.5.5")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    DBus
    Widgets
    Xml
)

find_package(KF5 REQUIRED COMPONENTS
    Config
    CoreAddons
    DBusAddons
    I18n
    Init
    KCMUtils
    KDELibs4Support
    KHtml
    Service
)

add_subdirectory( plugins )
add_subdirectory( searchhandlers )
add_subdirectory( tests )
add_subdirectory( doc )

########### next target ###############

add_executable(khc_indexbuilder khc_indexbuilder.cpp)
target_compile_definitions(khc_indexbuilder PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
ecm_mark_nongui_executable(khc_indexbuilder)

target_link_libraries(khc_indexbuilder KF5::CoreAddons KF5::I18n Qt5::DBus)

install(TARGETS khc_indexbuilder DESTINATION ${LIBEXEC_INSTALL_DIR})

configure_file(config-khelpcenter.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-khelpcenter.h )

########### next target ###############

set(khelpcenter_KDEINIT_SRCS
   navigator.cpp
   navigatoritem.cpp
   navigatorappitem.cpp
   view.cpp
   searchwidget.cpp
   searchengine.cpp
   docmetainfo.cpp
   docentrytraverser.cpp
   formatter.cpp
   glossary.cpp
   toc.cpp
   mainwindow.cpp
   docentry.cpp
   htmlsearch.cpp
   history.cpp
   application.cpp
   treebuilder.cpp
   infotree.cpp
   kcmhelpcenter.cpp
   htmlsearchconfig.cpp
   fontdialog.cpp
   plugintraverser.cpp
   scrollkeepertreebuilder.cpp
   searchhandler.cpp )

qt5_add_dbus_adaptor( khelpcenter_KDEINIT_SRCS org.kde.khelpcenter.kcmhelpcenter.xml kcmhelpcenter.h KCMHelpCenter )

kconfig_add_kcfg_files(khelpcenter_KDEINIT_SRCS prefs.kcfgc )
# kf5_add_app_icon(khelpcenter_KDEINIT_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/apps/help-browser.png")

kf5_add_kdeinit_executable( khelpcenter ${khelpcenter_KDEINIT_SRCS})
target_compile_definitions(kdeinit_khelpcenter PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kdeinit_khelpcenter KF5::KHtml KF5::KCMUtils KF5::Service KF5::DBusAddons KF5::KDELibs4Support Qt5::Xml)
install(TARGETS kdeinit_khelpcenter  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS khelpcenter ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS org.kde.Help.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES khelpcenter.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${SHARE_INSTALL_PREFIX}/kde4/services )
install( FILES glossary.html.in table-of-contents.xslt glossary.xslt index.html.in DESTINATION ${DATA_INSTALL_DIR}/khelpcenter )
install( FILES khelpcenterui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/khelpcenter )
install( FILES org.kde.khelpcenter.kcmhelpcenter.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(it)
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(uk)
add_subdirectory(sr)
add_subdirectory(sr@latin)
add_subdirectory(ca)

=== htmlsearch/CMakeLists.txt ===


########### next target ###############

set(htmlsearch_LIB_SRCS htmlsearch.cpp progressdialog.cpp)


add_library(htmlsearch SHARED ${htmlsearch_LIB_SRCS})

target_link_libraries(htmlsearch  KF5::KIOWidgets)

set_target_properties(htmlsearch PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS htmlsearch ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(kcm_htmlsearch_LIB_SRCS kcmhtmlsearch.cpp klangcombo.cpp ktagcombobox.cpp)


add_library(kcm_htmlsearch SHARED ${kcm_htmlsearch_LIB_SRCS})

target_link_libraries(kcm_htmlsearch  KF5::KIOWidgets)

set_target_properties(kcm_htmlsearch PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS kcm_htmlsearch ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

add_executable(khtmlindex index.cpp)

target_link_libraries(khtmlindex  KF5::KDELibs4Support htmlsearch )

install(PROGRAMS khtmlindex ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install( FILES htmlsearch.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES long.html short.html wrapper.html nomatch.html syntax.html   DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/en )
install( FILES star.png star_blank.png  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/pics )
install( FILES unchecked.xpm checked.xpm  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/pics )

install( PROGRAMS meinproc_wrapper  DESTINATION  ${DATA_INSTALL_DIR}/khelpcenter/ )

ecm_install_icons( ${DATA_INSTALL_DIR}/khelpcenter/  )

=== tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/.. )

########### next target ###############

set(khelpcenter_KDEINIT_SRCS 
   navigator.cpp 
   navigatoritem.cpp 
   navigatorappitem.cpp 
   view.cpp 
   searchwidget.cpp 
   searchengine.cpp 
   docmetainfo.cpp 
   docentrytraverser.cpp 
   formatter.cpp 
   glossary.cpp 
   toc.cpp 
   mainwindow.cpp 
   docentry.cpp 
   htmlsearch.cpp 
   history.cpp 
   application.cpp 
   treebuilder.cpp 
   infotree.cpp 
   kcmhelpcenter.cpp 
   htmlsearchconfig.cpp 
   fontdialog.cpp 
   plugintraverser.cpp 
   scrollkeepertreebuilder.cpp 
   searchhandler.cpp )

########### next target ###############

kconfig_add_kcfg_files(khelpcenter_SRCS ../prefs.kcfgc )

set(testmetainfo_SRCS
    testmetainfo.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../docmetainfo.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../docentry.cpp 
    ${khelpcenter_SRCS}
    ${CMAKE_CURRENT_SOURCE_DIR}/../docentrytraverser.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/../htmlsearch.cpp )


add_executable(testmetainfo ${testmetainfo_SRCS})
ecm_mark_as_test(testmetainfo)

target_link_libraries(testmetainfo  KF5::KDELibs4Support )

=== doc/en/CMakeLists.txt ===
ecm_optional_add_subdirectory(khelpcenter)
ecm_optional_add_subdirectory(fundamentals)
ecm_optional_add_subdirectory(glossary)
ecm_optional_add_subdirectory(onlinehelp)

=== doc/it/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/it
                          SUBDIR khelpcenter)

=== doc/pt_BR/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/pt_BR
                          SUBDIR khelpcenter)

=== doc/sr/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sr
                          SUBDIR khelpcenter)

=== doc/sr@latin/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sr@latin
                          SUBDIR khelpcenter)

=== doc/sv/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/sv
                          SUBDIR khelpcenter)

=== doc/uk/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk
                          SUBDIR khelpcenter)

=== doc/ca/fundamentals/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook
                          INSTALL_DESTINATION ${HTML_INSTALL_DIR}/ca
                          SUBDIR fundamentals)

## khelpcenter 5.2.2a

=== debian/changelog ===
khelpcenter (4:5.2.2a-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * New upstream tarball.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:15:52 -0700

khelpcenter (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:38:32 -0800

khelpcenter (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:51:48 +0100

khelpcenter (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:25:50 +0100

khelpcenter (4:5.1.2-0ubuntu2) vivid; urgency=medium

  * Add khelpcenter4 transitional

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 12:40:35 +0100

khelpcenter (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:07:04 +0100

khelpcenter (4:5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:43:41 +0100

khelpcenter (4:5.1.0.1-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Harald Sitter ]
  * Add lintian overrides
    + Override everything to do with kdeinit5 complaints as it is not
      exactly a properly shared library by design
    + We don't care about missing manpages
    + The desktop file has no main category which is by design as it needs to
      show up prominently in kickoff. It is however onlyshowin=kde, so there
      is tighter control that a desktop entry menu gui implementation actually
      supports this.
  * Make install file more generic to catch future updates to
    applications desktop file and binary name
  * Clean up buld dependencies and remove everything not directly required by
    khelpcenter itself
  * Fix incorrectly bumped breaks and replaces against 5.0.0 -data package
  * Fix khelpcenter4 relationships
    + Drop the Conflicts on khelpcenter4
    + Break and Replace khelpcenter4 << 5.0
    + This change is to stay consistent, previously a Conflicts was used on
      khelpcenter (which was the package name in KDE 3) which in turn caused
      upgrade problems when going from khelpcenter4 to khelpcenter (Frameworks
      5 version) because of being to broad a relationship.

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 13:47:38 +0200

khelpcenter (4:5.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:13:44 -0700

khelpcenter (4:5.0.1-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Scarlett Clark ]
  * Update watch to http://download.kde.org

  [ Harald Sitter ]
  * Drop the khelpcenter-data package and merge it into the app package.
    + Adjust installs accordingly
  * Rename khelpcenter5-dbg to khelpcenter-dbg
    + Adjust rules accordingly
    + Doesn't replace conflict as there is no binary conflict due to
      buildids

  [ Jonathan Riddell ]
  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:41:18 +0200

khelpcenter (4:4.98.0-0ubuntu1) utopic; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:18:37 +0200

khelpcenter (4:4.97.0a-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial package

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jun 2014 10:23:43 +0100

=== debian/control ===
Source: khelpcenter
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               kinit-dev (>= 5.2.0),
               libkf5config-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5khtml-dev (>= 5.2.0),
               pkg-kde-tools,
               qtbase5-dev
Standards-Version: 3.9.5
Section: doc
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter

Package: khelpcenter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
        khelpcenter4 (<< 4:5.0.0)
Replaces: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
          khelpcenter4 (<< 4:5.0.0)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

Package: khelpcenter4
Depends: khelpcenter, ${misc:Depends}
Architecture: all
Priority: extra
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: khelpcenter-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: khelpcenter (= ${binary:Version}), ${misc:Depends}
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=khelpcenter-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/khelpcenter-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/khelpcenter-(.*)\.tar\.xz

## khelpcenter 5.4.2

=== debian/changelog ===
khelpcenter (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:53:20 +0100

khelpcenter (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:15:36 +0100

khelpcenter (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:49:23 +0100

khelpcenter (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport. 

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:13:15 +0200

khelpcenter (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:27:23 +0000

khelpcenter (4:5.3.1-0ubuntu2) wily; urgency=medium

  * khelpcenter now depends on kdoctools5, this allows the program to load
    themes. (LP: #1362753)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 Jun 2015 02:22:38 +0200

khelpcenter (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:28:39 +0200

khelpcenter (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:55:11 +0200

khelpcenter (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:35 +0100

khelpcenter (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 10 Feb 2015 09:29:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,27 @@
 Source: khelpcenter
-Priority: extra
+Section: doc
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake,
-               debhelper (>= 9.0.0),
+Uploaders: Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake (>= 2.8.12),
+               debhelper (>= 9),
                extra-cmake-modules (>= 1.3.0~),
                kinit-dev (>= 5.2.0),
                libkf5config-dev (>= 5.2.0),
+               libkf5i18n-dev,
                libkf5kcmutils-dev (>= 5.2.0),
                libkf5kdelibs4support-dev (>= 5.2.0),
                libkf5khtml-dev (>= 5.2.0),
                pkg-kde-tools,
-               qtbase5-dev
-Standards-Version: 3.9.5
-Section: doc
+               qtbase5-dev (>= 5.4.0~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/khelpcenter.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/khelpcenter.git
 
 Package: khelpcenter
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: kdoctools5, ${misc:Depends}, ${shlibs:Depends}
 Breaks: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
         khelpcenter4 (<< 4:5.0.0)
 Replaces: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
@@ -35,18 +39,19 @@
  file.
 
 Package: khelpcenter4
+Section: oldlibs
+Priority: extra
+Architecture: all
 Depends: khelpcenter, ${misc:Depends}
-Architecture: all
-Priority: extra
-Section: oldlibs
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
 Package: khelpcenter-dbg
 Section: debug
+Priority: extra
 Architecture: any
+Depends: khelpcenter (= ${binary:Version}), ${misc:Depends}
 Recommends: qtbase5-dbg
-Depends: khelpcenter (= ${binary:Version}), ${misc:Depends}
 Description: KDE documentation viewer
  KHelpCenter uses meta data files which describe the documentation
  available in the system. Each document is represented by a meta data

## khelpcenter 5.5.5

=== debian/changelog ===
khelpcenter (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 14 Apr 2016 13:38:33 -0700

khelpcenter (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * Remove merge marker. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:21:13 +0100

khelpcenter (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:30:16 +0100

khelpcenter (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:50 +0100

khelpcenter (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:04 +0200

khelpcenter (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:12 +0200

khelpcenter (4:5.4.0-1) unstable; urgency=medium

  [ Didier Raboud ]
  * Correct the bug number closed in the previous upload

  [ Maximiliano Curia ]
  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 14:05:29 +0200

khelpcenter (4:5.3.2-2) unstable; urgency=medium

  * Add versionned Breaks/Replaces against all kde-l10n packages in
    jessie, as this package now ships its own translations
    - Bump Build-Depends against pkg-kde-tools to 0.15.18~
    - Use its new l10n-packages.mk with a kde-l10n fixed version 4:4.14.0-2~
    (Closes: #790799, #790861)

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Jul 2015 12:17:43 +0200

khelpcenter (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 20:39:15 +0200

khelpcenter (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 10:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kinit-dev (>= 5.2.0),
-               libkf5config-dev (>= 5.2.0),
-               libkf5i18n-dev,
-               libkf5kcmutils-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5khtml-dev (>= 5.2.0),
-               pkg-kde-tools,
+               extra-cmake-modules (>= 5.18.0~),
+               kinit-dev (>= 5.18.0~),
+               libkf5config-dev (>= 5.18.0~),
+               libkf5coreaddons-dev (>= 5.18.0~),
+               libkf5dbusaddons-dev (>= 5.18.0~),
+               libkf5i18n-dev (>= 5.18.0~),
+               libkf5kcmutils-dev (>= 5.18.0~),
+               libkf5kdelibs4support-dev (>= 5.18.0~),
+               libkf5khtml-dev (>= 5.18.0~),
+               libkf5service-dev (>= 5.18.0~),
+               pkg-kde-tools (>= 0.15.18~),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=khelpcenter-dbg

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/khelpcenter-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/khelpcenter-([\d.]+)\.tar\.xz

## khelpcenter 16.04.3

=== CMakeLists.txt ===
project(KHelpCenter)
set(PROJECT_VERSION "5.7.1")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
set(QT_MIN_VERSION "5.4.0")

find_package(ECM 1.3.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(CheckIncludeFiles)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    DBus
    Widgets
    Xml
)

find_package(KF5 REQUIRED COMPONENTS
    Archive
    Bookmarks
    Config
    CoreAddons
    DBusAddons
    DocTools
    I18n
    Init
    KHtml
    Service
    WindowSystem
)

find_package(Grantlee5 REQUIRED)
set_package_properties(Grantlee5 PROPERTIES
    DESCRIPTION "Support for HTML templates"
    URL "http://grantlee.org/"
    TYPE REQUIRED)

find_package(Xapian REQUIRED)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "Support for text indexing and searching"
    URL "https://xapian.org/"
    TYPE REQUIRED)

find_package(LibXml2 REQUIRED)
set_package_properties(LibXml2 PROPERTIES
    DESCRIPTION "Support for extracting text from HTML documents"
    URL "http://www.xmlsoft.org/"
    TYPE REQUIRED)

add_subdirectory( plugins )
add_subdirectory( searchhandlers )
add_subdirectory( tests )
add_subdirectory( doc )
add_subdirectory( templates )

########### next target ###############

set(khelpcenter_KDEINIT_SRCS
   khc_debug.cpp
   navigator.cpp
   navigatoritem.cpp
   navigatorappitem.cpp
   navigatorappgroupitem.cpp
   view.cpp
   searchwidget.cpp
   searchengine.cpp
   docmetainfo.cpp
   docentrytraverser.cpp
   grantleeformatter.cpp
   glossary.cpp
   toc.cpp
   mainwindow.cpp
   docentry.cpp
   history.cpp
   application.cpp
   treebuilder.cpp
   infotree.cpp
   fontdialog.cpp
   plugintraverser.cpp
   scrollkeepertreebuilder.cpp
   bookmarkowner.cpp
   searchhandler.cpp )

kconfig_add_kcfg_files(khelpcenter_KDEINIT_SRCS prefs.kcfgc )
# kf5_add_app_icon(khelpcenter_KDEINIT_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/apps/help-browser.png")

kf5_add_kdeinit_executable( khelpcenter ${khelpcenter_KDEINIT_SRCS})
target_compile_definitions(kdeinit_khelpcenter PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(kdeinit_khelpcenter KF5::KHtml KF5::Service KF5::DBusAddons KF5::ConfigGui KF5::WindowSystem KF5::Bookmarks Qt5::Xml Grantlee5::Templates)
install(TARGETS kdeinit_khelpcenter  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(TARGETS khelpcenter ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS org.kde.Help.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES khelpcenter.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${SHARE_INSTALL_PREFIX}/kde4/services )
install( FILES table-of-contents.xslt glossary.xslt DESTINATION ${DATA_INSTALL_DIR}/khelpcenter )
install( FILES khelpcenterui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/khelpcenter )
install( FILES khelpcenter.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
khelpcenter (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Automatic packaging ]
  ** SNAPSHOT build @a522c22334524ad1a30191c26c6fa3a159ee9e79 **

  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * debian/watch: khelpcenter moved to applications
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * Update install files
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Merged with Debian
  * Update VCS fields to point to Launchpad git repo
  * New upstream release 16.04.2
  * New upstream release 16.04.3
  * Bump build deps

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:41:27 +0200

khelpcenter (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:48:57 +0100

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kdoctools-dev (>= 5.24.0~),
               kinit-dev (>= 5.24.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.24.0~),
               libkf5bookmarks-dev (>= 5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5coreaddons-dev (>= 5.24.0~),
               libkf5dbusaddons-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5kcmutils-dev (>= 5.24.0~),
               libkf5kdelibs4support-dev (>= 5.24.0~),
               libkf5khtml-dev (>= 5.24.0~),
               libkf5service-dev (>= 5.24.0~),
               libkf5windowsystem-dev (>= 5.24.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, ${misc:Depends}, ${shlibs:Depends}
Breaks: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
        khelpcenter4 (<< 4:5.0.0)
Replaces: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
          khelpcenter4 (<< 4:5.0.0)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

Package: khelpcenter4
Section: oldlibs
Priority: extra
Architecture: all
Depends: khelpcenter, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## khelpcenter 16.08.3

=== debian/changelog ===
khelpcenter (4:16.08.3-1) unstable; urgency=medium

  * Set kinit as a hard runtime dependency
  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:10:42 +0100

khelpcenter (4:16.08.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (16.08.2)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 17 Oct 2016 23:31:37 +0200

khelpcenter (4:16.04.2-2) unstable; urgency=medium

  * Team upload.
  * Force the local installation to debian/khelpcenter, which is the only real
    binary; this avoids unnecessary copies of stuff from debian/tmp.
    - remove khelpcenter.install, no more used now
  * Remove outdated and unused not-installed file.
  * Remove unused libkf5iconthemes-dev, libkf5kcmutils-dev, and
    libkf5kdelibs4support-dev build dependencies.
  * Remove khelpcenter-data breaks/replaces, since it applies only to Ubuntu.
  * Use the ${perl:Depends} substvar, since there are perl scripts.
  * Recommend man-db, as khelpcenter can search into man pages.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Jul 2016 16:24:23 +0200

khelpcenter (4:16.04.2-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Jun 2016 10:06:33 +0200

khelpcenter (4:16.04.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 3.9.8
  * debian/watch: khelpcenter moved to applications
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add pkg-config as a build dependency
  * Update install files
  * Add new lintian-override about ldconfig-trigger for libkdeinit5_khelpcenter.so

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:39:51 +0200

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev,
               kinit-dev (>= 5.2.0),
               libgrantlee5-dev,
               libkf5archive-dev,
               libkf5bookmarks-dev,
               libkf5config-dev (>= 5.2.0),
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5khtml-dev (>= 5.2.0),
               libkf5service-dev,
               libkf5windowsystem-dev,
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/khelpcenter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/khelpcenter.git

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Breaks: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Replaces: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

Package: khelpcenter4
Section: oldlibs
Priority: extra
Architecture: all
Depends: khelpcenter, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# Add kde-l10n:all substvar
l10npkgs_firstversion_ok := 4:4.14.0-2~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/khelpcenter

override_dh_strip:
	$(overridden_command) --dbgsym-migration='khelpcenter-dbg (<= 4:5.5.5-1~~)'

## khelpcenter 16.12.3

=== debian/changelog ===
khelpcenter (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:31:51 +0000

khelpcenter (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:20:54 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='khelpcenter-dbg (<= 4:5.5.5-1~~)'

## khelpcenter 17.04.3

=== debian/changelog ===
khelpcenter (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:36:35 +0100

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               kinit-dev (>= 5.31.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, ${misc:Depends}, ${shlibs:Depends}
Breaks: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
        khelpcenter4 (<< 4:5.0.0)
Replaces: khelpcenter-data (<< 4:5.0.0-0ubuntu1~ubuntu14.10~ppa2),
          khelpcenter4 (<< 4:5.0.0)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

Package: khelpcenter4
Section: oldlibs
Priority: extra
Architecture: all
Depends: khelpcenter, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## khelpcenter 17.08.3

=== debian/changelog ===
khelpcenter (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove duplicated Priority for khelpcenter4.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 09:11:51 +0100

khelpcenter (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Tue, 12 Sep 2017 15:35:50 +0200

khelpcenter (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:01:21 +0000

khelpcenter (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:36:24 +0000

khelpcenter (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:25 +0000

khelpcenter (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:57 +0000

khelpcenter (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:17:58 +0000

khelpcenter (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:15 +0000

khelpcenter (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:27 +0000

khelpcenter (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:04 +0000

khelpcenter (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:18:59 +0000

khelpcenter (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:48 +0000

khelpcenter (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:30 +0000

khelpcenter (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:53 +0000

khelpcenter (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:48 +0000

khelpcenter (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:53 +0000

khelpcenter (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:27 +0000

khelpcenter (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 15 Jun 2016 17:25:08 +0000

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.20.0~),
               kinit-dev (>= 5.20.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.20.0~),
               libkf5bookmarks-dev (>= 5.20.0~),
               libkf5config-dev (>= 5.20.0~),
               libkf5coreaddons-dev (>= 5.20.0~),
               libkf5dbusaddons-dev (>= 5.20.0~),
               libkf5doctools-dev (>= 5.20.0~),
               libkf5i18n-dev (>= 5.20.0~),
               libkf5khtml-dev (>= 5.20.0~),
               libkf5service-dev (>= 5.20.0~),
               libkf5windowsystem-dev (>= 5.20.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4.0~),
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/workspace/khelpcenter
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/khelpcenter.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/khelpcenter.git

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Breaks: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Replaces: khelpcenter4 (<< 4:5.0.0), ${kde-l10n:all}
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

Package: khelpcenter4
Section: oldlibs
Architecture: all
Depends: khelpcenter, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

# Add kde-l10n:all substvar
l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/khelpcenter

override_dh_strip:
	$(overridden_command) --dbgsym-migration='khelpcenter-dbg (<= 4:5.5.5-1~~)'
